package com.inkasso.factoring.common.service;

public interface CommonService {
    /**
     * 短信验证生成
     * @param phoneNumber
     * @return
     */
    void SMSVerification(String phoneNumber,String type) throws Exception;

    /**
     * 短信验证
     * @param phoneNum
     * @param code
     * @return
     */
    boolean verifySMSCode(String phoneNum, String code);

    /**
     * 生成邮件验证码
     * @param mail
     */
    void mailVerification(String mail,String type);

    /**
     * 邮箱验证
     * @param mail
     * @param code
     * @return
     */
    boolean verifyMailCode(String mail, String code);
}
